## segno 1.3.3

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/segno.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/segno.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/segno"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/segno"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== examples/django_qrcode/requirements.txt ===
Django>=3.0
Pillow

## segno 1.3.1

=== debian/changelog ===
segno (1.3.1-2) unstable; urgency=medium

  * Add an autopkgtest.
  * d/control: Mark two Build-Depends as nocheck.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 03 Nov 2020 17:16:16 +0100

segno (1.3.1-1) unstable; urgency=medium

  * Initial release.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 12 Oct 2020 12:10:02 +0200

=== debian/control ===
Source: segno
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Mattia Rizzolo <mattia@debian.org>,
Build-Depends:
 debhelper-compat (=13),
 dh-sequence-python3,
 python3-all,
 python3-png <!nocheck>,
 python3-pytest <!nocheck>,
 python3-setuptools,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/packages/segno.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/segno
Homepage: https://github.com/heuer/segno

Package: python3-segno
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Python QR Code and Micro QR Code encoder
 Pure Python QR Code generator with no dependencies.
 .
 This package implements ISO/IEC 18004:2015(E) "QR Code bar code symbology
 specification" and produces QR Codes and Micro QR Codes with nearly no effort.
 It supports the Structured Append mode which splits a message across several
 QR codes.
 .
 Segno (Italian for "sign" / "symbol") provides several serialization formats
 like Scalable Vector Graphics (SVG), Encapsulated PostScript (EPS), Portable
 Network Graphics (PNG), Portable Document Format (PDF), Netpbm (PAM, PBM,
 PPM), LaTeX (PGF/TikZ), X PixMap (XBM), and X Bitmap (XPM) etc. None of these
 serializers require an external lib. Further, it provides several high level
 functions to create QR Codes which encode contact data (vCard, MeCard), EPC QR
 Codes, or WIFI QR Codes.

## segno 1.3.3

=== debian/changelog ===
segno (1.3.3-1) unstable; urgency=medium

  * New upstream version 1.3.3
  * Update copyright.
  * d/control: Bump Standards-Version to 4.5.1, no changes needed.
  * Override duplicate-font-file that comes due to a new example.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 14 Apr 2021 17:06:47 +0200

segno (1.3.1-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 22 Nov 2020 21:05:20 +0100

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 Uploaders:
  Mattia Rizzolo <mattia@debian.org>,
 Build-Depends:
- debhelper-compat (=13),
+ debhelper-compat (= 13),
  dh-sequence-python3,
  python3-all,
  python3-png <!nocheck>,
  python3-pytest <!nocheck>,
  python3-setuptools,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/segno.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/segno

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=segno
export PYBUILD_AFTER_INSTALL=rm -vr {destdir}/usr/bin {destdir}/usr/share/man
export PYBUILD_AFTER_TEST = rm -rfv .pybuild_cache


%:
	dh $@ --buildsystem pybuild

=== debian/watch ===
version=4

opts="\
pgpmode=none,\
" \
https://github.com/heuer/segno/tags \
             (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## segno 1.4.1

=== examples/flask_qrcode/requirements.txt ===
flask<2.0.0

=== debian/changelog ===
segno (1.4.1-1) unstable; urgency=medium

  * New upstream version 1.4.1.
  * d/control: Bump Standards-Version to 4.6.0, no changes needed.
  * d/rules: enable verbose build.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 11 Dec 2021 15:08:02 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  python3-png <!nocheck>,
  python3-pytest <!nocheck>,
  python3-setuptools,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/segno.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/segno

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #!/usr/bin/make -f
 
+export DH_VERBOSE=1
 export PYBUILD_NAME=segno
 export PYBUILD_AFTER_INSTALL=rm -vr {destdir}/usr/bin {destdir}/usr/share/man
 export PYBUILD_AFTER_TEST = rm -rfv .pybuild_cache

## segno 1.5.2

=== debian/changelog ===
segno (1.5.2-2) unstable; urgency=medium

  * upload to unstable

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 11 Jun 2023 13:07:24 +0200

segno (1.5.2-1) experimental; urgency=medium

  * New upstream version 1.5.2
  * adopted the package, Closes: #973704

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 21 Apr 2023 15:29:47 +0200

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
+ Georges Khaznadar <georgesk@debian.org>,
  Mattia Rizzolo <mattia@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),

## segno 1.5.3

=== debian/changelog ===
segno (1.5.3-1) unstable; urgency=medium

  * New upstream version 1.5.3

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 02 Nov 2023 12:31:09 +0100

segno (1.5.2-3) unstable; urgency=medium

  * Team upload.
  * Depend on python3-pkg-resources for tests (Closes: #1040571)

 -- Timo Röhling <roehling@debian.org>  Sun, 16 Jul 2023 20:20:00 +0200

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
  debhelper-compat (= 13),
  dh-sequence-python3,
  python3-all,
+ python3-pkg-resources <!nocheck>,
  python3-png <!nocheck>,
  python3-pytest <!nocheck>,
  python3-setuptools,

## segno 1.6.0

=== debian/changelog ===
segno (1.6.0-1) unstable; urgency=medium

  * New upstream version 1.6.0
  * New build-dependency: pybuild-plugin-pyproject
  * Patched test/test_plugin.py because it can succeed only when
    the plugin qrcode-artistic is installed
  * changed "rm -rv" to "rm -rfv" in debian/rules

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 11 Dec 2023 17:44:34 +0100

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
  python3-png <!nocheck>,
  python3-pytest <!nocheck>,
  python3-setuptools,
+ pybuild-plugin-pyproject,
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/segno.git

## segno 1.6.1

=== docs/requirements.txt ===
# Needed for Read the Docs build
sphinx~=5.1.0
sphinx_paramlinks~=0.5
sphinx_rtd_theme

=== tests/requirements.txt ===
# Requirements to run the tests
pytest
pytest-cov
pypng~=0.0.20
pyzbar~=0.1.8
qrcode-artistic
Pillow
importlib-metadata>=3.6.0; python_version < '3.10'

=== examples/flask_qrcode/requirements.txt ===
flask~=2.3.2

=== debian/changelog ===
segno (1.6.1-2) unstable; urgency=medium

  * Team upload.
  * Drop dependency on setuptools & pkg_resources, project uses "flit" now.
    (Closes: #1083767)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 29 Jan 2025 13:42:17 +0100

segno (1.6.1-1) unstable; urgency=medium

  * New upstream version 1.6.1
  * New build dependency : flit

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 12 Feb 2024 14:52:48 +0100

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,10 @@
  debhelper-compat (= 13),
  dh-sequence-python3,
  python3-all,
- python3-pkg-resources <!nocheck>,
  python3-png <!nocheck>,
  python3-pytest <!nocheck>,
- python3-setuptools,
  pybuild-plugin-pyproject,
+ flit,
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/segno.git

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export PYBUILD_NAME=segno
export PYBUILD_AFTER_INSTALL=rm -rfv {destdir}/usr/bin {destdir}/usr/share/man
export PYBUILD_AFTER_TEST = rm -rfv .pybuild_cache


%:
	dh $@ --buildsystem pybuild

## segno 1.6.6

=== docs/requirements.txt ===
sphinx<7.4.0
sphinx_paramlinks~=0.6
furo<2025.0.0

=== debian/changelog ===
segno (1.6.6-2) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * Remove myself from Uploaders.

  [ Georges Khaznadar ]
  * upload to unstable to replace release 1.6.6-1, and did not build-depend
    on "filt"

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 17 Mar 2025 10:02:18 +0100

segno (1.6.6-1) unstable; urgency=medium

  * New upstream version 1.6.6
  * updated the debian patch

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 16 Mar 2025 20:44:56 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Georges Khaznadar <georgesk@debian.org>,
- Mattia Rizzolo <mattia@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,

=== debian/tests/control ===
Test-Command: cp -av tests "$AUTOPKGTEST_TMP" && cd "$AUTOPKGTEST_TMP/tests" && for p in $(py3versions -s); do $p -m pytest -vv -l -r a; done
Depends:
 python3-all,
 python3-png,
 python3-pytest,
 @,
